org.apache.tools.ant.taskdefs

## Class MacroInstance.Element

- java.lang.Object
- - org.apache.tools.ant.taskdefs.MacroInstance.Element

- All Implemented Interfaces:
    TaskContainer
  Enclosing class:
    MacroInstance

      public static class MacroInstance.Element
      extends java.lang.Object
      implements TaskContainer

  Embedded element in macro instance

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacroInstance.Element()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTask(Task nestedTask)` Add an unknown element (to be snipped into the macroDef instance)
    `java.util.List<Task>` | `getUnknownElements()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacroInstance.Element

          public MacroInstance.Element()

  - ### Method Detail

    - #### addTask

          public void addTask(Task nestedTask)

      Add an unknown element (to be snipped into the macroDef instance)
      Specified by:
        `addTask` in interface `TaskContainer`
      Parameters:
        `nestedTask` - an unknown element

    - #### getUnknownElements

          public java.util.List<Task> getUnknownElements()

      Returns:
        the list of unknown elements